CMSIS-Core (Cortex-M): SAU Functions

| CMSIS-Core (Cortex-M) Version 5.6.0 CMSIS-Core support for Cortex-M processor-based devices

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Enumerations Enumerator Groups Pages
Functions
SAU Functions
TrustZone for Armv8-M/v8.1-M

Secure Attribution Unit (SAU) functions related to TrustZone for Armv8-M. More...

## Functions

void | TZ_SAU_Setup (void)
| Setup Secure Attribute Unit (SAU) and non-secure interrupts. More...
void | TZ_SAU_Enable (void)
| Enable Security Attribution Unit (SAU) More...
void | TZ_SAU_Disable (void)
| Disable Security Attribution Unit (SAU) More...

## Description

Secure Attribution Unit (SAU) functions related to TrustZone for Armv8-M.

The Secure Attribution Unit (SAU) functions SAU

Note
  A SAU is always present if the security extension is available. The functionality differs if the SAU contains SAU regions. If SAU regions are available is configured with the macro __SAUREGION_PRESENT (see Configuration of the Processor and Core Peripherals).

## Function Documentation

void TZ_SAU_Disable | ( | void |  | ) |

Disable Security Attribution Unit (SAU)

Disables the Security Attribution Unit (SAU).

void TZ_SAU_Enable | ( | void |  | ) |

Enable Security Attribution Unit (SAU)

Enables the Security Attribution Unit (SAU).

void TZ_SAU_Setup | ( | void |  | ) |

Setup Secure Attribute Unit (SAU) and non-secure interrupts.

The function TZ_SAU_Setup uses the settings in the TrustZone setup: partition_<device>.h to initialize the Secure Attribute Unit (SAU) and define non-secure interrupts. It is called from the function SystemInit.